/****************************************************************************
 * This file is part of the program MusicRater.                             *
 * MusicRater is a program used to rate your music while listening to them  *
 * Copyright (C) 2005, 2006 Michael "Serpedon" Walz   (serpedon@gmx.de)     *
 *                                                                          *
 * This program is free software; you can redistribute it and/or modify     *
 * it under the terms of the GNU General Public License as published by     *
 * the Free Software Foundation; either version 2 of the License, or        *
 * (at your option) any later version.                                      *
 *                                                                          *
 * This program is distributed in the hope that it will be useful,          *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 * GNU General Public License for more details.                             *
 *                                                                          *
 * You should have received a copy of the GNU General Public License along  *
 * with this program; if not, write to the Free Softwares Foundation, Inc., *
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                 *
 ****************************************************************************/
 
// Schutz vor mehrfachem Einbinden
# ifndef __KLASSE_CONFIG_HPP_INCLUDED__
# define __KLASSE_CONFIG_HPP_INCLUDED__

# include <QObject>

class C_Config : public QObject
{
	Q_OBJECT
	
public:
	C_Config ( ) {};
	
	QString GetProgPlayMusic	( ) const { return m_progPlayMusic; };
	QString GetProgStopMusic	( ) const { return m_progStopMusic; };
	QString GetProgGenerateHash( ) const { return m_progGenerateHash; };
	QString GetSavePointsfile	( ) const { return m_savePointsfile; };
	QString GetSaveHashfile		( ) const { return m_saveHashfile; };
	QString GetSaveMusicfile	( ) const { return m_saveMusicfile; };
		
public slots:
	void SetProgPlayMusic		( const QString & f_newText ) { m_progPlayMusic		= f_newText; };
	void SetProgStopMusic		( const QString & f_newText ) { m_progStopMusic		= f_newText; };
	void SetProgGenerateHash	( const QString & f_newText ) { m_progGenerateHash	= f_newText; };
	void SetSavePointsfile		( const QString & f_newText ) { m_savePointsfile	= f_newText; };
	void SetSaveHashfile			( const QString & f_newText ) { m_saveHashfile		= f_newText; };
	void SetSaveMusicfile		( const QString & f_newText ) { m_saveMusicfile		= f_newText; };

private:
	QString m_progPlayMusic;
	QString m_progStopMusic;
	QString m_progGenerateHash;
	QString m_savePointsfile;
	QString m_saveHashfile;
	QString m_saveMusicfile;
};

extern C_Config G_config;

# endif // __KLASSE_CONFIG_HPP_INCLUDED__
