/****************************************************************************
 * This file is part of the program MusicRater.                             *
 * MusicRater is a program used to rate your music while listening to them  *
 * Copyright (C) 2005, 2006 Michael "Serpedon" Walz   (serpedon@gmx.de)     *
 *                                                                          *
 * This program is free software; you can redistribute it and/or modify     *
 * it under the terms of the GNU General Public License as published by     *
 * the Free Software Foundation; either version 2 of the License, or        *
 * (at your option) any later version.                                      *
 *                                                                          *
 * This program is distributed in the hope that it will be useful,          *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of           *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            *
 * GNU General Public License for more details.                             *
 *                                                                          *
 * You should have received a copy of the GNU General Public License along  *
 * with this program; if not, write to the Free Softwares Foundation, Inc., *
 * 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA                 *
 ****************************************************************************/
 
// Schutz vor mehrfachem Einbinden
# ifndef __KLASSE_MUSIC_FILE_HPP_INCLUDED__
# define __KLASSE_MUSIC_FILE_HPP_INCLUDED__

# include <QString>
# include <QObject>

class C_MusicFile : public QObject
{
	Q_OBJECT
	
public:
	// Nur Dateien bergeben, die es wirklich gibt...
	// Es findet KEINE interne Prfung statt
	C_MusicFile ( const QString & f_filename );
	C_MusicFile::~C_MusicFile ( );
	
	bool IsReady ( );
	
	// Diese Funktionen nur aufrufen, wenn "IsReady ( ) == true"
	QString GetFilename ( );
	int GetPoints ( );
	void RankFile ( int f_changeRank );
	QString GetHash ( );
	
	static int GetMinAmountOfPoints ( ) { return -50; };
	
protected:
	void ReadPoints ( );
	void WritePoints ( );

	const QString m_filename;
	int m_points;
	QString m_hash;
	
protected slots:
	void SetHash ( const QString & f_hash );
};



# endif // __KLASSE_MUSIC_FILE_HPP_INCLUDED__
